org.keycloak.utils

## Class ServicesUtils

- java.lang.Object
- - org.keycloak.utils.ServicesUtils

-     public class ServicesUtils
      extends Object

  Utility class for general helper methods used across the keycloak-services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicesUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Consumer<? super T>` | `consumeWithTimeBound(KeycloakSession session, long timeout, Consumer<T> func)`
    `static GroupRepresentation` | `groupToBriefRepresentation(GroupModel g)`
    `static <T,R> Function<? super T,? extends Stream<? extends R>>` | `timeBound(KeycloakSession session, long timeout, Function<T,? extends Stream<R>> func)`
    `static <T,R> Function<? super T,R>` | `timeBoundOne(KeycloakSession session, long timeout, Function<T,R> func)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesUtils

          public ServicesUtils()

  - ### Method Detail

    - #### timeBound

          public static <T,R> Function<? super T,? extends Stream<? extends R>> timeBound(KeycloakSession session,
                                                                                          long timeout,
                                                                                          Function<T,? extends Stream<R>> func)

    - #### timeBoundOne

          public static <T,R> Function<? super T,R> timeBoundOne(KeycloakSession session,
                                                                 long timeout,
                                                                 Function<T,R> func)

    - #### consumeWithTimeBound

          public static <T> Consumer<? super T> consumeWithTimeBound(KeycloakSession session,
                                                                     long timeout,
                                                                     Consumer<T> func)

    - #### groupToBriefRepresentation

          public static GroupRepresentation groupToBriefRepresentation(GroupModel g)

Copyright © 2021 JBoss by Red Hat. All rights reserved.